net.corda.client.model

## Class TrackedDelegate.SubjectDelegate<M,T>

- TrackedDelegate
- - net.corda.client.model.TrackedDelegate.SubjectDelegate<M,T>

- Enclosing class:
    TrackedDelegate<M>

      public static class TrackedDelegate.SubjectDelegate<M,T>
      extends TrackedDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.client.model.TrackedDelegate

      `TrackedDelegate.EventSinkDelegate<M,T>, TrackedDelegate.EventStreamDelegate<M,T>, TrackedDelegate.ObjectPropertyDelegate<M,T>, TrackedDelegate.ObservableDelegate<M,T>, TrackedDelegate.ObservableListDelegate<M,T>, TrackedDelegate.ObservableListReadOnlyDelegate<M,T>, TrackedDelegate.ObservableValueDelegate<M,T>, TrackedDelegate.ObserverDelegate<M,T>, TrackedDelegate.SubjectDelegate<M,T>, TrackedDelegate.WritableValueDelegate<M,T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectDelegate(kotlin.reflect.KClass<M> klass, kotlin.jvm.functions.Function1<? super M,? extends rx.subjects.Subject<T,T>> subjectProperty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.jvm.functions.Function1<M,rx.subjects.Subject>` | `getSubjectProperty()`
    `rx.subjects.Subject<T,T>` | `getValue(java.lang.Object thisRef, kotlin.reflect.KProperty<?> property)`

    - ### Methods inherited from class net.corda.client.model.TrackedDelegate

      `getKlass`

- - ### Constructor Detail

    - #### SubjectDelegate

          public SubjectDelegate(kotlin.reflect.KClass<M> klass,
                                 kotlin.jvm.functions.Function1<? super M,? extends rx.subjects.Subject<T,T>> subjectProperty)

  - ### Method Detail

    - #### getValue

          public rx.subjects.Subject<T,T> getValue(java.lang.Object thisRef,
                                                   kotlin.reflect.KProperty<?> property)

    - #### getSubjectProperty

          public kotlin.jvm.functions.Function1<M,rx.subjects.Subject> getSubjectProperty()